转子泵叶轮建模程序

2015/1/19 12:06:40      点击:
转子泵叶轮建模功能的实现难点在建模程序的编写上。程序是在Visual Basic环境下编写的,它要想和SolidWorks取得连接就首先的在VB环境中引用有关Basic6.0的工程/引用/……中添加SldWorks
SolidWorks的插件。方法是:在Visual 2007 Type Library、SolidWorks2007 constant Type Library、SolidWorks 2007 Exposed Type Library for Add.in use三个插件。
连接函数代部分代码如下:
Dim swApp As SldWorks.SldWorks ‘定义SldWorks对象变量
Dim swModel As SldWorks.ModelDoc2
Dim Part As SldWorks.PartDoc ‘定义零件环境对象变量
SetswApp;CreateObject(”SldWorks.Application”) ‘新建一个自动命名的零件文件
Set Part=swApp.NewPart0 ‘进入SolidWoAs零件造型环境
通过以上代码,SolidWorks软件启动,并建立了零件建模环境。对叶轮型线的分析可知,叶轮具有中心旋转对称性。采用在SolidWorks菜单中插入/曲线/通过XYZ的点的曲线的方法来造型。我们把叶轮相临的一个叶峰和叶谷看成一个曲线单元,·它是由圆弧线、渐开线或摆线等曲线段组合而成。根据曲线的参数方程,对曲线单元上的采样点坐标值进行计算,再把它们整体旋转相同角度,得到其它叶峰叶谷各点的坐标值,最后通过样条曲线描点绘成叶轮整体轮廓平面图。其算法流程图如图5.18所示。建模窗体显示时要使用LoadPictrue函数加载叶轮二维图,实现代码如下:
Private Sub Form Load0
Picturel.Picture=LoadPicture(App.Path&竹/圆弧线.br叩”)
Picture2.Picture=LoadPicture(App.Path&’’所开线.bmp”)
Picture3.Pictmt=LoadPicture(App.Path&吖摆线.bmp')
EndSub

图5.18叶轮建模程序实现流程图


点击建模程序开始调用SolidWorks API函数建立三维模型。部分代码如下:
Private Sub CmdsanwweijiamnoI Click0 ’圆弧线型建模
Call Cmdxingnengcanshul_Click
IfCuo=l Thea
ExitSub
EndIf
Part.InsertCurveFileBegin ’叶轮型线平面图的建立过程
Fori=0ToZ.1

Fort=-Pi/(2·z)To Pi,(2·z)StepPi/361
tl=(B‘Sin(2。0-A·Sin(t))/SqrtA·A+B·B-2·A·B‘Cos(t))
t2=(A·Cos(t)·B·cos(2·t)),SqrtA·A+B‘B·2·A。B·cos(0)
x0=2·A·cos(t)-B掌cos(2·0一R2’t2
y0=2宰A·Sin(t)·B·Sin(2搴t)+R2·tl
x;xO·Cos(i·ai)·yo‘Si玎《i‘d1)
Y=xO·Sin(i·d1)+yO·Cos(i·d1)
Part.InsertCurveFilePoint x·0.00l,Y‘0.001,0
Nextt
Fort=Pi|z-t3ToPi|乏+t3 StepPi|361
xo=B·Cos(Pi,z)+RI‘Cos(t)
y0=B·sino'i/z)+RI。Sin(0
x=x0·cos0·dD-yo·Sin0·d1)
y=xO·Sin(i‘d1)+y0‘Cos0·d1)
Part.1nsertCurveFilePointx·0.001,Y·0.001,0
Nextt
Nexti
t;-l'i/(2+z)
tl=(B‘Sin(2·t)-A·Sin(t))/Sqr(A·A+B·B·2‘A·B‘cos(0)
t2=(A‘Cos(t)一B宰Co《2·t))/s矾A‘A+B搴B·2·A·B·Cos(t))
x=2·A·coco—B·cos(2‘t)一R2·t2
Y=2·A·Sin(O-B。Sm(2·0+R2搴tl
Part.InsertCurveFilePoint x‘0.00l,y。0.001,0
Part.1nsertCurveFileEnd


友情链接:    彩乐乐计划   万兴彩票   北斗彩票   彩票登陆   浩博彩票集团